    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.beans.PropertyChangeEvent

    java.lang.Object
       |
       +----java.util.EventObject
               |
               +----java.beans.PropertyChangeEvent

public class PropertyChangeEvent
extends EventObject

A "PropertyChange" event gets delivered whenever a bean changes a "bound" or "constrained" property. A PropertyChangeEvent object is sent as an argument to the PropertyChangeListener and VetoableChangeListener methods.

Normally PropertyChangeEvents are accompanied by the name and the old and new value of the changed property. If the new value is a builtin type (such as int or boolean) it must be wrapped as the corresponding java.lang.* Object type (such as Integer or Boolean).

Null values may be provided for the old and the new values if their true values are not known.

An event source may send a null object as the name to indicate that an arbitrary set of if its properties have changed. In this case the old and new values should also be null.

##

PropertyChangeEvent(Object, String, Object, Object)

##

getNewValue()
getOldValue()
getPropagationId()
  The "propagationId" field is reserved for future use.
getPropertyName()
setPropagationId(Object)

##

PropertyChangeEvent

     public PropertyChangeEvent(Object source,
                                String propertyName,
                                Object oldValue,
                                Object newValue)

  Parameters:
    source - The bean that fired the event.
    propertyName - The programmatic name of the property that was changed.
    oldValue - The old value of the property.
    newValue - The new value of the property.

##

getPropertyName

     public String getPropertyName()

  Returns:
    The programmatic name of the property that was changed. May be null if multiple properties have changed.

getNewValue

     public Object getNewValue()

  Returns:
    The new value for the property, expressed as an Object. May be null if multiple properties have changed.

getOldValue

     public Object getOldValue()

  Returns:
    The old value for the property, expressed as an Object. May be null if multiple properties have changed.

setPropagationId

     public void setPropagationId(Object propagationId)

  Parameters:
    propagationId - The propagationId object for the event.

getPropagationId

     public Object getPropagationId()

  The "propagationId" field is reserved for future use. In Beans 1.0 the sole requirement is that if a listener catches a PropertyChangeEvent and then fires a PropertyChangeEvent of its own, then it should make sure that it propagates the propagationId field from its incoming event to its outgoing event.

  Returns:
    the propagationId object associated with a bound/constrained property update.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.